Identity
Get identity
GET /v1/identity- Permission
- None
- Tokens
- API key, CLI user token, Session token
Read the account and identity associated with the credential.
{
"api_key_id": str,
"customer_id": str,
"customer_login": str,
"session_id": str,
"user_id": str
}
1
import os
2
3
from ellipsis import Ellipsis
4
5
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
6
7
result = client.identity()
8
print(result)
1
import { Ellipsis } from '@ellipsis-dev/sdk';
2
3
const client = new Ellipsis({
4
apiKey: process.env.ELLIPSIS_API_TOKEN!,
5
});
6
7
const result = await client.identity();
8
console.log(result);
1
curl "https://api.ellipsis.dev/v1/identity" \
2
-H "Authorization: Bearer $ELLIPSIS_API_TOKEN"
Response
api_key_idstringrequired
The API key id, when the credential is an API key.
customer_idstringrequired
The caller's account id.
customer_loginstringrequired
The caller's account login (a GitHub org or user login).
gh_userGithubUserrequired
The full GitHub user account behind user_id, when available. Lets callers (e.g.
session_idstringrequired
The session id, when the credential is a session token.
user_idstringrequired
The GitHub user id behind the credential, when it has one.